could not be found android.support.v4.view.ViewPager

Android Studioを使用している場合

build.gradleを編集する

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile "com.android.support:support-v4:20.0.+" // これを追加
}

Eclipseの場合はjarファイルをjavaのビルドパスに追加する
※targetSdkVersionより低いバージョンのものは使用しない

上記内容だとcompile "com.android.support:support-v4:19.0.+"なら警告になる